//
#include "NeoPixel.h"
//
const int PIN_DOUT = 5;
const int NUMBER_PIXELS = 144;
const long unsigned TIME_WAIT = 10;
//
CNeoPixel LedStripe(NUMBER_PIXELS, PIN_DOUT, NEO_GRB + NEO_KHZ800);
//
//
void setup() 
{
  LedStripe.Open();
}
//
void loop() 
{
  //delay(5000);
  //LedStripe.Clear(); 
  for(int IP = 0; IP < NUMBER_PIXELS; IP++) 
  { 
    LedStripe.SetPixelColor(IP, LedStripe.Color(20, 0, 0));
  }
  LedStripe.Show(); 
  delay(1000);
  for(int IP = 0; IP < NUMBER_PIXELS; IP++) 
  { 
    LedStripe.SetPixelColor(IP, LedStripe.Color(0, 20, 0));
  }
  LedStripe.Show(); 
  delay(1000);
  for(int IP = 0; IP < NUMBER_PIXELS; IP++) 
  { 
    LedStripe.SetPixelColor(IP, LedStripe.Color(0, 0, 20));
  }
  LedStripe.Show(); 
  delay(1000);

  for (int N = 0; N < 50; N++)
  {
    for(int IP = 0; IP < NUMBER_PIXELS; IP++) 
    { 
      byte R = random(10, 20);
      byte G = random(10, 16);
      byte B = random(4, 8);
      LedStripe.SetPixelColor(IP, LedStripe.Color(R, G, B));
    }
    LedStripe.Show(); 
    delay(100);
  }
  delay(1000);

}
//